com.cloudera.sqoop.lib

## Class RecordParser.ParseError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sqoop.lib.RecordParser.ParseError
      - - com.cloudera.sqoop.lib.RecordParser.ParseError

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    RecordParser

  Deprecated.
  use org.apache.sqoop.lib.RecordParser.ParseError instead.

      public static class RecordParser.ParseError
      extends RecordParser.ParseError

  An error thrown when parsing fails.
  See Also:
    `RecordParser.ParseError`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordParser.ParseError()` Deprecated.
    `RecordParser.ParseError(java.lang.String msg)` Deprecated.
    `RecordParser.ParseError(java.lang.String msg, java.lang.Throwable cause)` Deprecated.
    `RecordParser.ParseError(java.lang.Throwable cause)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordParser.ParseError

          public RecordParser.ParseError()

      Deprecated.

    - #### RecordParser.ParseError

          public RecordParser.ParseError(java.lang.String msg)

      Deprecated.

    - #### RecordParser.ParseError

          public RecordParser.ParseError(java.lang.String msg,
                                 java.lang.Throwable cause)

      Deprecated.

    - #### RecordParser.ParseError

          public RecordParser.ParseError(java.lang.Throwable cause)

      Deprecated.

Copyright © 2015 The Apache Software Foundation